//		Copyright © 1998	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//		$Log: StReadWrite.h,v $
//		Revision 1.1  1998/06/06 15:21:13  jjk
//		Initial revision
//

//		Implementation of driver operations read(), write().

#ifndef ST_READWRITE_H
#define ST_READWRITE_H

#include <SupportDefs.h>

status_t stRead(void *pCookie, off_t position,
					 void *pData, size_t *pNumBytes);
status_t stWrite(void *pCookie, off_t position,
					  const void *pData, size_t *pNumBytes);

#endif // ST_READWRITE_H
